<?php
	$this->Html->css('EvPaypal.buttons', ['inline' => false]);

	// Then load the script that initialises the buttons etc. The main paypal include should be added before this.
	echo $this->Element('EvPaypal.payment_script');
?>

<div id="paypal-buttons-container" class="disabled"
	data-amount="<?= number_format($amount, 2) ?>"
	data-currency="<?= $currency ?>"
	data-checkout-form="<?= $checkoutFormSelector ?>"
	data-customer-name="<?= $customerName ?>"
	data-shipping-address='<?= str_replace('\'', '\\\'', json_encode($deliveryAddress)) ?>',
	data-brand-name="<?= $paypal['brandName'] ?>"
	data-hash="<?= hash('sha256', number_format($amount, 2) . $currency . $paypal['hashSalt']) ?>"
></div>
<div id="paypal-processing-container">
	<?= $this->Element('EvPaypal.payment_processing'); ?>
</div>
